Bug 136302 - CAN-2004-0975 temporary file vulnerabilities in der_chop script
Summary: CAN-2004-0975 temporary file vulnerabilities in der_chop script
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: openssl (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Brian Brock
URL:
Whiteboard: public=20040930,impact=low
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-19 09:46 UTC by Mark J. Cox
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-01 13:32:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (2.13 KB, patch)
2004-10-19 09:48 UTC, Mark J. Cox
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:476 normal SHIPPED_LIVE Moderate: openssl security update 2005-06-01 04:00:00 UTC

Description Mark J. Cox 2004-10-19 09:46:55 UTC
On September 10th 2004, Trustix shared some temporary file
vulnerabilities with vendor-sec.  After some refinement these were
made public on Sep30.  These are minor issues (impact: LOW) and
therefore should be fixed in future updates, but don't deserve their
own security advisory.

Temporary file vulnerability in der_chop script.  Patch attached. 
However der_chop isn't a useful script and is deprecated.  Removing
der_chop script is a valid solution to this issue.

                Affects: RHEL3
                Affects: RHEL2.1

Comment 1 Mark J. Cox 2004-10-19 09:48:51 UTC
Created attachment 105431 [details]
Proposed patch

Comment 2 Mark J. Cox 2004-12-07 10:46:46 UTC
Will be RHSA-2004:652

Comment 6 Josh Bressers 2005-06-01 13:32:43 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-476.html



Note You need to log in before you can comment on or make changes to this bug.